Bug 437815 - rshd crashes on invalid username
rshd crashes on invalid username
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rsh (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 11:32 EDT by Miloslav Trmač
Modified: 2013-04-30 19:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-25 10:16:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2008-03-17 11:32:16 EDT
Version-Release number of selected component (if applicable):
rsh-0.17-46.fc9

Looking at netkit-rsh-0.17-audit.patch:

>         if (pwd == NULL) {
> +               if (log_audit(remuser, pwd->pw_uid, hostname, 0) <= 0) {

In other words, "if pwd == NULL, dereference it.".
Comment 1 Adam Tkac 2008-03-25 10:16:39 EDT
fixed in rsh-0.17-47.fc9 . Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.